Subject: Re: bug#39941: Disk-image size increase on core-updates.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 11 Mar 2020 21:33:31 +0100

Hi!

Mathieu Othacehe <[email-masked]> skribis:

> Turns out on master,
>
> guix size `guix build guile|grep -v debug`
>
>
> returns ~124 MiB, while,
>
> guix size `guix build --target=aarch64-linux-gnu guile|grep -v debug`
>
> returns ~523 MiB.
>
> When building the native guile, only the "lib" output of gcc is
> kept. When cross-compiling, the whole cross-compiler is dragged down (as
> there's only "out" defined for cross-gcc).

Ah yes, we should try to introduce a “lib” output there as well.  I
vaguely remember this was tricky but I’m not sure why; worth a try!

> That does not explain the sudden increase, but this is still quite
> unfortunate :p

Yep, would also be nice to track down.

Speaking of which, the Data Service has things like:

  http://data.guix.gnu.org/gnu/store/p8in2npgl5yhliy25ikz7shjbq0gii95-guile-next-3.0.0

We could eventually use it to track the evolution of the size of
individual packages, or that of their closure (even for cross-compiled
packages).  I remember a discussion with Chris Baines on this but I’m
not sure what the outcome was.

Ludo’.